body, html {
    height:100%;
    width:100%;
    position: fixed;
}

h1 {
    font-size:14px !important;
    font-weight:bold !important;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif !important;
    margin-top: 5px !important;
    margin-bottom: 2px !important;
}

/* main header  */
#header {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    padding-left:10px;
    padding-top:7px;
    padding-bottom:7px;
    width:100%;
    position:absolute;
    top:50px;
    background-color:#ffffff;
    border-bottom: 4px solid #F33650;
    z-index:1;
    float:left;
}

#menu-panel {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    padding-left:10px;
    width:100%;
    position:absolute;
    top:0px;
    left: 0px;
    background-color:#ffffff;
    border-bottom: 4px solid #F33650;
    z-index:1;
    float:left;
}

/* menu orizzontale */
ul#menu {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    margin: 0;
    padding: 0;
    position:absolute;
    top:0px;
    left: 0px;
    list-style: none;
}

ul#menu li {
    background-color: #D1E1EF;
    border-bottom: 5px solid #54BAE2;
    display: block;
    width: 200px;
    height: 45px;
    margin: 2px;
    float: left;
}

ul#menu li a {
    color: #fff;
    display: block;
    font-weight: bold;
    line-height: 50px;
    text-decoration: none;
    width: 200px;
    height: 45px;
    text-align: center;
}

ul#menu li.active,
ul#menu li:hover {
    background-color: #54BAE2;
    border-bottom: 5px solid #D1E1EF;
}

/* submenu strumenti selezione */
ul.submenu-widget {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    margin: 0;
    padding: 0;
    position:absolute;
    top:48px;
    left: 58%;
    list-style: none;
}

ul.submenu-widget li {
    background-color: #63a2ff;
    display: block;
    width: 32px;
    height: 32px;
    margin: 2px;
    float: left;
}

ul.submenu-widget li a {
    color: #fff;
    display: block;
    font-weight: bold;
    line-height: 50px;
    text-decoration: none;
    width: 32px;
    height: 32px;
    text-align: center;
}

ul.submenu-widget li.active,
ul#submenu-widget li:hover {
    background-color: #260dbf;
}

/* menu-opt: Layers / Legenda / Serie temporali */
ul#menu-opt {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    margin: 0;
    padding: 0;
    position:absolute;
    top:14px;
    left: 70%;
    list-style: none;
}

ul#menu-opt li {
    background-color: #63a2ff;
    display: block;
    width: 32px;
    height: 32px;
    margin: 2px;
    float: left;
}

ul#menu-opt li a {
    color: #fff;
    display: block;
    font-weight: bold;
    line-height: 50px;
    text-decoration: none;
    width: 32px;
    height: 32px;
    text-align: center;
}

ul#menu-opt li.active,
ul#menu-opt li:hover {
    background-color: #260dbf;
}

/* menu widget strumenti mappa */
ul.menu-widget {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    margin: 0;
    padding: 0;
    position:absolute;
    top:14px;
    left: 50%;
    list-style: none;
}

ul.menu-widget li {
    background-color: #63a2ff;
    display: block;
    width: 32px;
    height: 32px;
    margin: 2px;
    float: left;
}

ul.menu-widget li a {
    color: #fff;
    display: block;
    font-weight: bold;
    line-height: 50px;
    text-decoration: none;
    width: 32px;
    height: 32px;
    text-align: center;
}

ul.menu-widget li.active,
ul#menu-widget li:hover {
    background-color: #260dbf;
}

/* anni-widget (se usato) */
ul#anni-widget {
    font-family: Verdana, sans-serif;
    font-size: 11px;
    margin: 0;
    padding: 0;
    position:absolute;
    top:14px;
    left: 50%;
    list-style: none;
}

ul#anni-widget li {
    background-color: #63a2ff;
    display: block;
    width: 32px;
    height: 32px;
    margin: 2px;
    float: left;
}

ul#anni-widget li a {
    color: #fff;
    display: block;
    font-weight: bold;
    line-height: 50px;
    text-decoration: none;
    width: 32px;
    height: 32px;
    text-align: center;
}

ul#anni-widget li.active,
ul#anni-widget li:hover {
    background-color: #260dbf;
}

/* page title */
#title {
    float:left;
    display:block;
}

/* menu position */
#menu {
    font-size:18px;
    float:right;
    display:block;
    padding-right:10px;
    color: #fff;
    text-decoration:none;
}

/* menu item styling */
#menu > a {
    color: #fff;
    text-decoration:none;
}

#menu > a:hover {
    color: #fff;
    text-decoration:none;
    cursor:pointer;
}

/* Underline From Left */
.menu_button {
    padding:0 5px;
    text-decoration:none;
    display: inline-block;
    vertical-align: middle;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    overflow: hidden;
}

.menu_button:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 0;
    right: 100%;
    bottom: 0;
    background: #FFC663;
    height: 3px;
    -webkit-transition-property: right;
    transition-property: right;
    -webkit-transition-duration: 0.2s;
    transition-duration: 0.2s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.menu_button:hover:before,
.menu_button:focus:before,
.menu_button:active:before {
    right: 0;
}

/* Zoom Slider Configuration OpenLayers */
#map > div > div.ol-overlaycontainer-stopevent > div.ol-zoom.ol-unselectable.ol-control {
    margin-top:45px;
    border-radius: 0px;
}

#map .ol-zoom .ol-zoom-out {
    margin-top: 202px;
}

#map .ol-zoomslider {
    background-color: transparent;
    top: 2.3em;
}

#map .ol-touch .ol-zoom .ol-zoom-out {
    margin-top: 212px;
}

#map .ol-touch .ol-zoomslider {
    top: 2.75em;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-zoom.ol-unselectable.ol-control > button.ol-zoom-in {
    background-color:#FFB639;
    border-radius: 0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-zoom.ol-unselectable.ol-control > button.ol-zoom-out {
    background-color:#FFB639;
    border-radius: 0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-zoomslider.ol-unselectable.ol-control > div {
    background-color:#FFB639;
}

/* scale styling */
#map > div > div.ol-overlaycontainer-stopevent > div.ol-scale-line {
    background-color:#FFB639;
    border-radius:0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-scale-line.ol-unselectable > div {
    font-weight: bold;
    color: #fff;
    border: 2px solid #FFF;
    border-top: none;
}

/* attribution styling */
#map > div > div.ol-overlaycontainer-stopevent > div.ol-attribution.ol-unselectable.ol-control.ol-collapsed {
    border-radius:0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-attribution.ol-unselectable.ol-control.ol-collapsed > button {
    background-color:#FFB639;
    border-radius:0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-attribution.ol-unselectable.ol-control > button {
    background-color:#FFB639;
    border-radius:0px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-attribution.ol-unselectable.ol-control > ul {
    font-size:10px;
}

#map > div > div.ol-overlaycontainer-stopevent > div.ol-attribution.ol-unselectable.ol-control.ol-logo-only {
    margin-bottom:5px;
}

/* Notizie destra container styling */
.destra_container {
    border-radius: 5px;
    border: 0px solid #73AD21;
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    position:relative;
    background-color:#82ec74; /*63A2ff;*/
    z-index:1;
    width:95%;
    text-align: -webkit-center;
}

/* destra header */
.destra_header {
    border-radius: 2px;
    height:50px;
    padding-top:15px;
    padding-bottom:5px;
    text-align:center;
}

.destra_title {
    overflow:hidden;
}

/* destra content */
.destra_content_container {
    font-size:12px;
    color: #000;
    width:100%;
    background-color:#FFF;
    height:175px;
}

.destra_content {
    width:100%;
    padding-top:5px;
    background-color:#FFF;
    padding-bottom:5px;
    padding:0px 1px 1px 5px;
}

/* LEGEND */

#legend_container {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    position:absolute;
    background-color:#63A2ff;
    z-index:1;
    width:200px;
    top:50px;
    right:0;
    display:block;
    text-align: -webkit-center;
}

/* legend header */
#legend_header {
    padding-top:5px;
    padding-bottom:5px;
    text-align:center;
    border: 2px solid #FFF;
    cursor:move;
}

#legend_collapse {
    float:left;
    padding-left:10px;
}

#legend_collapse:hover {
    color:#007E65;
    cursor:pointer;
}

#legend_title {
    overflow:hidden;
}

#legend_remove {
    float:right;
    padding-right:10px;
}

#legend_remove:hover {
    color:#BB001A;
    cursor:pointer;
}

/* legend content */
#legend_content_container {
    font-size:12px;
    color: #000;
    width:200px;
    background-color:#FFF;
    border-bottom: 4px solid #FFB639;
    max-height:175px;      /* finestra legenda */
    overflow:auto;         /* scroll interno */
}

#legend_content {
    width:200px;
    padding-top:5px;
    background-color:#FFF;
    padding-bottom:5px;
    padding:0px 5px 5px 5px;
}

/* ANNO / SERIE TEMPORALI */

#anno_container {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    position:absolute;
    background-color:#63A2ff;
    z-index:1;
    width: auto;
    height: auto;
    top:90px;
    left:40%;
    display:none;
    text-align: -webkit-left;
}

#anno_header {
    padding-top:5px;
    padding-bottom:5px;
    text-align:center;
    border: 2px solid #FFF;
    cursor:move;
}

#anno_collapse {
    float:left;
    padding-left:10px;
}

#anno_collapse:hover {
    color:#007E65;
    cursor:pointer;
}

#anno_title {
    overflow:hidden;
}

#anno_remove {
    float:right;
    padding-right:10px;
}

#anno_remove:hover {
    color:#BB001A;
    cursor:pointer;
}

#anno_content_container {
    font-size:12px;
    color: #000;
    width:auto;
    max-height:300px;
    background-color:#FFF;
    border-bottom: 4px solid #63A2ff;
    overflow:auto;
}

#anno_content {
    width:auto;
    padding-top:5px;
    background-color:#FFF;
    padding-bottom:5px;
    padding:0px 5px 5px 5px;
}

/* LAYERS */

#layers_container {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    position:absolute;
    background-color:#63A2ff;
    z-index:1;
    width:350px;
    top:52px;
    left:40px;
}

#layers_header {
    padding-top:5px;
    padding-bottom:5px;
    text-align:center;
    border: 2px solid #FFF;
    cursor:move;
}

#layers_collapse {
    float:left;
    padding-left:10px;
}

#layers_collapse:hover {
    color:#007E65;
    cursor:pointer;
}

#layers_title {
    overflow:hidden;
}

#layers_remove {
    float:right;
    padding-right:10px;
}

#layers_remove:hover {
    color:#BB001A;
    cursor:pointer;
}

#layers_content_container {
    font-size:12px;
    color: #000;
    width:350px;
    height:400px;      /* altezza fissa */
    background-color:#FFF;
    border-bottom: 4px solid #63A2ff;
    overflow:auto;     /* scroll interno */
}

#layers_content {
    width:350px;
    background-color:#FFF;
    padding-bottom:5px;
    padding:5px 5px 5px 5px;
}

/* ABOUT */

#about_container {
    font-size:18px;
    font-family: Gill Sans, Gill Sans MT, Calibri, sans-serif;
    color: #fff;
    background-color:#FFB639;
    z-index:1;
    position: absolute;
    width: 400px;
    margin: 0 0 0 -200px;
    top:52px;
    left: 50%;
}

#about_header {
    padding-top:5px;
    padding-bottom:5px;
    text-align:center;
    border: 2px solid #FFF;
    cursor:move;
}

#about_collapse {
    float:left;
    padding-left:10px;
}

#about_collapse:hover {
    color:#007E65;
    cursor:pointer;
}

#about_title {
    overflow:hidden;
}

#about_remove {
    float:right;
    padding-right:10px;
}

#about_remove:hover {
    color:#BB001A;
    cursor:pointer;
}

#about_content_container {
    font-size:12px;
    color: #000;
    width:400px !important;
    background-color:#FFF;
    border-bottom: 4px solid #FFB639;
    height:75px;
}

#about_content {
    width:400px !important;
    padding-top:5px;
    background-color:#FFF;
    padding-bottom:5px;
    padding:5px 5px 5px 5px;
    text-align:justify;
}

/* layer tree / tree view */

ul.layertree {
    list-style: none;
}

ul.layertree li {
    border-bottom: 1px solid #ccc;
    padding: 1px;
}

ul.layertree li:hover {
    background-color: #eee;
}

ul.layertree li.selected {
    background-color: #ddd;
}

.tree {
    min-height:20px;
    overflow: auto;
    padding: 1px;
    -webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);
    -moz-box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);
    box-shadow:inset 0 1px 1px rgba(0, 0, 0, 0.05);
}

.tree li {
    list-style-type:none;
    margin-right:5px;
    padding:0px;
    position:relative;
}

.tree li::before,
.tree li::after {
    content:'';
    left:-20px;
    position:absolute;
    right:auto;
    margin-right:5px;
}

.tree li::before {
    border-left:1px solid #999;
    bottom:50px;
    height:100%;
    top:0;
    width:1px;
}

.tree li::after {
    border-top:1px solid #999;
    height:20px;
    top:7px;
    padding-right:10px;
    width:20px;
}

.tree li span {
    display:inline-block;
    padding:0px 0px;
    text-decoration:none;
}

.tree li.parent_li > span {
    cursor:pointer;
}

.tree > ul > li::before,
.tree > ul > li::after {
    border:0;
}

.tree li:last-child::before {
    height:30px;
}

.tree li.parent_li > span:hover,
.tree li.parent_li > span:hover + ul li span {
    background:rgba(149,28,15,.6);
    border-radius:4px;
    padding-left:2px;
    padding-right:2px;
    background:#F30021;
    color: #fff;
}

.glyphicon-check:before {
    content:"\e153";
    font-size: 15px;
    color: #007E65;
}

.glyphicon-unchecked:before {
    content:"\e157";
    font-size: 15px;
    color: #BB001A;
}

/* tool measure */
.tooltips {
    position: relative;
    background: rgba(250, 250, 250, 0.7);
    border-radius: 4px;
    color: black;
    padding: 4px 8px;
    opacity: 0.99;
    white-space: nowrap;
}

.tooltip-measure {
    opacity: 1;
    font-weight: bold;
}

.tooltip-static {
    background-color: #ffcc33;
    color: black;
    border: 1px solid white;
}

.tooltip-measure:before,
.tooltip-static:before {
    border-top: 6px solid rgba(0, 0, 0, 0.5);
    border-right: 6px solid transparent;
    border-left: 6px solid transparent;
    content: "";
    position: absolute;
    bottom: -6px;
    margin-left: -7px;
    left: 50%;
}

.tooltip-static:before {
    border-top-color: #ffcc33;
}
